2021-09-15 23:12:24 UTC
95.6 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
TERMxterm
ZBX_SOURCEShttps://git.zabbix.com/scm/zbx/zabbix.git
ZBX_VERSION3.0.32
[#000] sha256:e4ca327ec0e73c737201b7a6d7b2df779a3ccf34fe9cf1b0c031e767f6464240 - 26.63% (25.5 MB)
[#001] sha256:ba67be1b6d635a516048a64f32fa162c75747bc0eec762605f4e132919f1648c - 65.55% (62.7 MB)
[#002] sha256:8e11ac6946aa50ae8a3aed239aab45fc95968b82092dbf60e5f0e97abd5625cc - 0.0% (4.22 KB)
[#003] sha256:6f81b814e6f150f7ffe7b3ab6a2da2acf16d5151cf7d31c33bc04c81c10e7ffc - 7.81% (7.47 MB)
[#004] sha256:fe9d188485a75345362199d9da28b8d95f9dd3f2010a287e7f7a5d5a0cfd8958 - 0.0% (2.4 KB)
/bin/sh -c #(nop) ADD file:425a053fd043786e9454fb269d4c93c624550fb913a8c96d03ddd430b4e6c1c3 in /
2021-08-31 01:20:48 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-09-15 23:11:36 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.vendor=Zabbix LLC org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.licenses=GPL v2.0
2021-09-15 23:11:36 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGTERM
2021-09-15 23:11:36 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix -G root --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p /etc/zabbix && mkdir -p /etc/zabbix/web && mkdir -p /var/lib/php/session && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gpg dirmngr gpg-agent ca-certificates && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install curl mysql-client nginx locales php7.2-bcmath php7.2-fpm php7.2-gd php7.2-json php7.2-ldap php7.2-mbstring php7.2-mysql php7.2-xml supervisor && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.2/fpm/pool.d/www.conf && ln -sf /dev/fd/2 /var/log/nginx/error.log && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-09-15 23:11:36 UTC (buildkit.dockerfile.v0)ARG MAJOR_VERSION=3.0
2021-09-15 23:11:36 UTC (buildkit.dockerfile.v0)ARG ZBX_VERSION=3.0.32
2021-09-15 23:11:36 UTC (buildkit.dockerfile.v0)ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-09-15 23:11:36 UTC (buildkit.dockerfile.v0)ENV TERM=xterm ZBX_VERSION=3.0.32 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-09-15 23:11:36 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.documentation=https://www.zabbix.com/documentation/3.0/manual/installation/containers org.opencontainers.image.version=3.0.32 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git
2021-09-15 23:11:36 UTC (buildkit.dockerfile.v0)COPY conf/etc/ /etc/ # buildkit
2021-09-15 23:12:24 UTC (buildkit.dockerfile.v0)RUN |3 MAJOR_VERSION=3.0 ZBX_VERSION=3.0.32 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gettext git && cd /usr/share/ && git -c advice.detachedHead=false clone ${ZBX_SOURCES} --branch ${ZBX_VERSION} --depth 1 --single-branch zabbix-${ZBX_VERSION} && mkdir /usr/share/zabbix/ && cp -R /usr/share/zabbix-${ZBX_VERSION}/frontends/php/* /usr/share/zabbix/ && rm -rf /usr/share/zabbix-${ZBX_VERSION}/ && cd /usr/share/zabbix/ && ./locale/make_mo.sh && rm -f conf/zabbix.conf.php conf/maintenance.inc.php conf/zabbix.conf.php.example && rm -rf tests && rm -f locale/add_new_language.sh locale/update_po.sh locale/make_mo.sh && ln -s "/etc/zabbix/web/zabbix.conf.php" "/usr/share/zabbix/conf/zabbix.conf.php" && ln -s "/etc/zabbix/web/maintenance.inc.php" "/usr/share/zabbix/conf/maintenance.inc.php" && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat /usr/share/zabbix/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && find /usr/share/zabbix/locale -name '*.po' | xargs rm -f && find /usr/share/zabbix/locale -name '*.sh' | xargs rm -f && chown --quiet -R zabbix:root /etc/zabbix/ && chgrp -R 0 /etc/zabbix/ && chmod -R g=u /etc/zabbix/ && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && chown --quiet -R zabbix:root /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /usr/share/zabbix/include/defines.inc.php && DEBIAN_FRONTEND=noninteractive apt-get -y purge gettext git && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-09-15 23:12:24 UTC (buildkit.dockerfile.v0)EXPOSE map[8080/tcp:{} 8443/tcp:{}]
2021-09-15 23:12:24 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/zabbix
2021-09-15 23:12:24 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/bin/ # buildkit
2021-09-15 23:12:24 UTC (buildkit.dockerfile.v0)USER 1997
2021-09-15 23:12:24 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2021-09-15 23:26:04 UTC
87.6 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
TERMxterm
ZBX_SOURCEShttps://git.zabbix.com/scm/zbx/zabbix.git
ZBX_VERSION3.0.32
[#000] sha256:94f80e8eb1703fb9b4edfd10bf21f9967e116e6692f5dd4363fbe8f3ac04946e - 24.29% (21.3 MB)
[#001] sha256:2665e99c1beabac1039b10bc9b028a1088fc998a822ff2f4f1f2c9aae6bde353 - 67.16% (58.8 MB)
[#002] sha256:c448d63e98a3d3f915d7a63c06f799783469df3b779163f5277b71033bd0b91a - 0.0% (4.22 KB)
[#003] sha256:c22ced38298fae3e38c80e9c4bf0d3ae18a355000ebba240efb265df9b9ed048 - 8.55% (7.49 MB)
[#004] sha256:809b1979fb584bfa467cae4764f8e3e9e88efa4a974a2a3a4e1647e77a449de1 - 0.0% (2.4 KB)
/bin/sh -c #(nop) ADD file:5e191cb3774eee823ea256e960cb570c8ee5bb1a149dc1bfdaaa2adf7bc64007 in /
2021-08-31 01:40:31 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-09-15 23:22:16 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.vendor=Zabbix LLC org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.licenses=GPL v2.0
2021-09-15 23:22:16 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGTERM
2021-09-15 23:22:16 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix -G root --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p /etc/zabbix && mkdir -p /etc/zabbix/web && mkdir -p /var/lib/php/session && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gpg dirmngr gpg-agent ca-certificates && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install curl mysql-client nginx locales php7.2-bcmath php7.2-fpm php7.2-gd php7.2-json php7.2-ldap php7.2-mbstring php7.2-mysql php7.2-xml supervisor && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.2/fpm/pool.d/www.conf && ln -sf /dev/fd/2 /var/log/nginx/error.log && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-09-15 23:22:16 UTC (buildkit.dockerfile.v0)ARG MAJOR_VERSION=3.0
2021-09-15 23:22:16 UTC (buildkit.dockerfile.v0)ARG ZBX_VERSION=3.0.32
2021-09-15 23:22:16 UTC (buildkit.dockerfile.v0)ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-09-15 23:22:16 UTC (buildkit.dockerfile.v0)ENV TERM=xterm ZBX_VERSION=3.0.32 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-09-15 23:22:16 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.documentation=https://www.zabbix.com/documentation/3.0/manual/installation/containers org.opencontainers.image.version=3.0.32 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git
2021-09-15 23:22:16 UTC (buildkit.dockerfile.v0)COPY conf/etc/ /etc/ # buildkit
2021-09-15 23:26:04 UTC (buildkit.dockerfile.v0)RUN |3 MAJOR_VERSION=3.0 ZBX_VERSION=3.0.32 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gettext git && cd /usr/share/ && git -c advice.detachedHead=false clone ${ZBX_SOURCES} --branch ${ZBX_VERSION} --depth 1 --single-branch zabbix-${ZBX_VERSION} && mkdir /usr/share/zabbix/ && cp -R /usr/share/zabbix-${ZBX_VERSION}/frontends/php/* /usr/share/zabbix/ && rm -rf /usr/share/zabbix-${ZBX_VERSION}/ && cd /usr/share/zabbix/ && ./locale/make_mo.sh && rm -f conf/zabbix.conf.php conf/maintenance.inc.php conf/zabbix.conf.php.example && rm -rf tests && rm -f locale/add_new_language.sh locale/update_po.sh locale/make_mo.sh && ln -s "/etc/zabbix/web/zabbix.conf.php" "/usr/share/zabbix/conf/zabbix.conf.php" && ln -s "/etc/zabbix/web/maintenance.inc.php" "/usr/share/zabbix/conf/maintenance.inc.php" && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat /usr/share/zabbix/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && find /usr/share/zabbix/locale -name '*.po' | xargs rm -f && find /usr/share/zabbix/locale -name '*.sh' | xargs rm -f && chown --quiet -R zabbix:root /etc/zabbix/ && chgrp -R 0 /etc/zabbix/ && chmod -R g=u /etc/zabbix/ && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && chown --quiet -R zabbix:root /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /usr/share/zabbix/include/defines.inc.php && DEBIAN_FRONTEND=noninteractive apt-get -y purge gettext git && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-09-15 23:26:04 UTC (buildkit.dockerfile.v0)EXPOSE map[8080/tcp:{} 8443/tcp:{}]
2021-09-15 23:26:04 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/zabbix
2021-09-15 23:26:04 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/bin/ # buildkit
2021-09-15 23:26:04 UTC (buildkit.dockerfile.v0)USER 1997
2021-09-15 23:26:04 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2021-09-15 23:25:44 UTC
91.3 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
TERMxterm
ZBX_SOURCEShttps://git.zabbix.com/scm/zbx/zabbix.git
ZBX_VERSION3.0.32
[#000] sha256:4028d4a2ab035ee99388f4aa429a83fbaf8022de67206e9a5b69615c71069135 - 24.78% (22.6 MB)
[#001] sha256:f517c080b11efc62c643eecd8fc9cd9188906b7a9c1652fe64285fa3778cc529 - 67.03% (61.2 MB)
[#002] sha256:a078ad363054e202fac3a9d5ce7962bc921706dba891975bac91d734db28a9d9 - 0.0% (4.22 KB)
[#003] sha256:aadde5d044f690c308da5575d34cbaabbd786d1e6525a4c2191dd518bc02e2c8 - 8.18% (7.47 MB)
[#004] sha256:a56b60edd3b88aa48920a7c6c38c55cadf7399aaab14f9091aee3a756ad35f6e - 0.0% (2.4 KB)
/bin/sh -c #(nop) ADD file:27e3c8f7785fef80f6172954da7c3c73734c02b933dc19847e888542897d568f in /
2021-08-31 01:40:36 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-09-15 23:22:06 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.vendor=Zabbix LLC org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.licenses=GPL v2.0
2021-09-15 23:22:06 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGTERM
2021-09-15 23:22:06 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix -G root --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p /etc/zabbix && mkdir -p /etc/zabbix/web && mkdir -p /var/lib/php/session && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gpg dirmngr gpg-agent ca-certificates && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install curl mysql-client nginx locales php7.2-bcmath php7.2-fpm php7.2-gd php7.2-json php7.2-ldap php7.2-mbstring php7.2-mysql php7.2-xml supervisor && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.2/fpm/pool.d/www.conf && ln -sf /dev/fd/2 /var/log/nginx/error.log && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-09-15 23:22:06 UTC (buildkit.dockerfile.v0)ARG MAJOR_VERSION=3.0
2021-09-15 23:22:06 UTC (buildkit.dockerfile.v0)ARG ZBX_VERSION=3.0.32
2021-09-15 23:22:06 UTC (buildkit.dockerfile.v0)ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-09-15 23:22:06 UTC (buildkit.dockerfile.v0)ENV TERM=xterm ZBX_VERSION=3.0.32 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-09-15 23:22:06 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.documentation=https://www.zabbix.com/documentation/3.0/manual/installation/containers org.opencontainers.image.version=3.0.32 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git
2021-09-15 23:22:06 UTC (buildkit.dockerfile.v0)COPY conf/etc/ /etc/ # buildkit
2021-09-15 23:25:44 UTC (buildkit.dockerfile.v0)RUN |3 MAJOR_VERSION=3.0 ZBX_VERSION=3.0.32 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gettext git && cd /usr/share/ && git -c advice.detachedHead=false clone ${ZBX_SOURCES} --branch ${ZBX_VERSION} --depth 1 --single-branch zabbix-${ZBX_VERSION} && mkdir /usr/share/zabbix/ && cp -R /usr/share/zabbix-${ZBX_VERSION}/frontends/php/* /usr/share/zabbix/ && rm -rf /usr/share/zabbix-${ZBX_VERSION}/ && cd /usr/share/zabbix/ && ./locale/make_mo.sh && rm -f conf/zabbix.conf.php conf/maintenance.inc.php conf/zabbix.conf.php.example && rm -rf tests && rm -f locale/add_new_language.sh locale/update_po.sh locale/make_mo.sh && ln -s "/etc/zabbix/web/zabbix.conf.php" "/usr/share/zabbix/conf/zabbix.conf.php" && ln -s "/etc/zabbix/web/maintenance.inc.php" "/usr/share/zabbix/conf/maintenance.inc.php" && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat /usr/share/zabbix/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && find /usr/share/zabbix/locale -name '*.po' | xargs rm -f && find /usr/share/zabbix/locale -name '*.sh' | xargs rm -f && chown --quiet -R zabbix:root /etc/zabbix/ && chgrp -R 0 /etc/zabbix/ && chmod -R g=u /etc/zabbix/ && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && chown --quiet -R zabbix:root /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /usr/share/zabbix/include/defines.inc.php && DEBIAN_FRONTEND=noninteractive apt-get -y purge gettext git && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-09-15 23:25:44 UTC (buildkit.dockerfile.v0)EXPOSE map[8080/tcp:{} 8443/tcp:{}]
2021-09-15 23:25:44 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/zabbix
2021-09-15 23:25:44 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/bin/ # buildkit
2021-09-15 23:25:44 UTC (buildkit.dockerfile.v0)USER 1997
2021-09-15 23:25:44 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2021-09-15 23:26:44 UTC
103 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
TERMxterm
ZBX_SOURCEShttps://git.zabbix.com/scm/zbx/zabbix.git
ZBX_VERSION3.0.32
[#000] sha256:b66177991333478fe4de9a7fc6ee8c546debb78334473278e085735e8a88072d - 28.17% (29 MB)
[#001] sha256:46eca181b75a740754cc6aebc341f7752cc4c97ff9b962896a70cff41c20e616 - 64.56% (66.5 MB)
[#002] sha256:75c2814d4e5890dff47c41ab66becac1649682ce7a28e8ecd02546a61d22c544 - 0.0% (4.22 KB)
[#003] sha256:5ee89ba9842ec530fb9ec8f6b73c4c0db16b2227a3da59c2b1c4f98597023c5f - 7.26% (7.49 MB)
[#004] sha256:88abc622b77e98221844e0df35a8bc10850377eeb0d64b286905bda7beafeb09 - 0.0% (2.4 KB)
/bin/sh -c #(nop) ADD file:32c084b07cf88f4b46c2c94d6e8634a245a8ea46f4c166fe98b49a7e3d44a700 in /
2021-08-31 02:10:18 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-09-15 23:23:16 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.vendor=Zabbix LLC org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.licenses=GPL v2.0
2021-09-15 23:23:16 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGTERM
2021-09-15 23:23:16 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix -G root --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p /etc/zabbix && mkdir -p /etc/zabbix/web && mkdir -p /var/lib/php/session && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gpg dirmngr gpg-agent ca-certificates && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install curl mysql-client nginx locales php7.2-bcmath php7.2-fpm php7.2-gd php7.2-json php7.2-ldap php7.2-mbstring php7.2-mysql php7.2-xml supervisor && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.2/fpm/pool.d/www.conf && ln -sf /dev/fd/2 /var/log/nginx/error.log && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-09-15 23:23:16 UTC (buildkit.dockerfile.v0)ARG MAJOR_VERSION=3.0
2021-09-15 23:23:16 UTC (buildkit.dockerfile.v0)ARG ZBX_VERSION=3.0.32
2021-09-15 23:23:16 UTC (buildkit.dockerfile.v0)ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-09-15 23:23:16 UTC (buildkit.dockerfile.v0)ENV TERM=xterm ZBX_VERSION=3.0.32 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-09-15 23:23:16 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.documentation=https://www.zabbix.com/documentation/3.0/manual/installation/containers org.opencontainers.image.version=3.0.32 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git
2021-09-15 23:23:16 UTC (buildkit.dockerfile.v0)COPY conf/etc/ /etc/ # buildkit
2021-09-15 23:26:44 UTC (buildkit.dockerfile.v0)RUN |3 MAJOR_VERSION=3.0 ZBX_VERSION=3.0.32 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gettext git && cd /usr/share/ && git -c advice.detachedHead=false clone ${ZBX_SOURCES} --branch ${ZBX_VERSION} --depth 1 --single-branch zabbix-${ZBX_VERSION} && mkdir /usr/share/zabbix/ && cp -R /usr/share/zabbix-${ZBX_VERSION}/frontends/php/* /usr/share/zabbix/ && rm -rf /usr/share/zabbix-${ZBX_VERSION}/ && cd /usr/share/zabbix/ && ./locale/make_mo.sh && rm -f conf/zabbix.conf.php conf/maintenance.inc.php conf/zabbix.conf.php.example && rm -rf tests && rm -f locale/add_new_language.sh locale/update_po.sh locale/make_mo.sh && ln -s "/etc/zabbix/web/zabbix.conf.php" "/usr/share/zabbix/conf/zabbix.conf.php" && ln -s "/etc/zabbix/web/maintenance.inc.php" "/usr/share/zabbix/conf/maintenance.inc.php" && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat /usr/share/zabbix/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && find /usr/share/zabbix/locale -name '*.po' | xargs rm -f && find /usr/share/zabbix/locale -name '*.sh' | xargs rm -f && chown --quiet -R zabbix:root /etc/zabbix/ && chgrp -R 0 /etc/zabbix/ && chmod -R g=u /etc/zabbix/ && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && chown --quiet -R zabbix:root /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /usr/share/zabbix/include/defines.inc.php && DEBIAN_FRONTEND=noninteractive apt-get -y purge gettext git && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-09-15 23:26:44 UTC (buildkit.dockerfile.v0)EXPOSE map[8080/tcp:{} 8443/tcp:{}]
2021-09-15 23:26:44 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/zabbix
2021-09-15 23:26:44 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/bin/ # buildkit
2021-09-15 23:26:44 UTC (buildkit.dockerfile.v0)USER 1997
2021-09-15 23:26:44 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.